import jsx from '@babel/plugin-transform-react-jsx';
import pragmatic from '@emotion/babel-plugin-jsx-pragmatic';
import emotion from '@emotion/babel-plugin';

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
const pragmaName = "___xstyledEmotionJSX";
var index = (_, _a = {}) => {
  var _b = _a, {
    pragma,
    sourceMap,
    autoLabel,
    labelFormat,
    instances = []
  } = _b, options = __objRest(_b, [
    "pragma",
    "sourceMap",
    "autoLabel",
    "labelFormat",
    "instances"
  ]);
  return {
    plugins: [
      [
        pragmatic,
        {
          export: "jsx",
          module: "@xstyled/emotion",
          import: pragmaName
        }
      ],
      [jsx, __spreadValues({ pragma: pragmaName, pragmaFrag: "React.Fragment" }, options)],
      [
        emotion,
        {
          sourceMap,
          autoLabel,
          labelFormat,
          instances: ["@xstyled/emotion", ...instances],
          cssPropOptimization: true
        }
      ]
    ]
  };
};

export default index;
//# sourceMappingURL=index.mjs.map
